// Scene File: cybrhorn.pov, for POV-Ray v2.x
//
// Joel R. Cheves
//
// Created on 2/13/95 at 12:41 am

#include "colors.inc"
#include "shapes.inc"
#include "shapes2.inc"
#include "povcolr.inc"
#include "hornjrc.inc"
#include "mouthpc.inc"
#include "hornbell.inc"

camera {
  right     <1.33, 0, 0>
  up        <0, 1, 0>
  direction <0, 0, 1>
  location  <1, .25, -1.75>
  look_at   <.33, -.17, 0>
}

sphere {
    <0, 0, 0>, 5  //3
    pigment {color Gold}
     }        

plane { <0, 1, 0>, 0 
  scale <3.0, 3.0, 3.0>
  rotate <-56.0, -20.0, 0.0>
  translate <0.0, -0.26506, 0.463434>
     texture {Jrc_Marble}
}

object {
  union {
   object {
    Mouthpiece  
     scale <0.5, 0.5, 0.5>
     rotate <0.0, 0.0, 90.0>
     translate <-0.25, 0.0, -0.044>     
      texture {Polished_Brass}
       }
   object {
    Horntop
     }

  object {  //Start Key_piston_bar assembly
   union {  
    object {
     Piston_bar
      }
//         Begin Key_pad 14....
 object {
  union {
   object {
    union {
     cylinder {<0, -0.125, 0>, <0, 0.125, 0>, 0.03
      translate <0.229166, -0.309, -0.05>
      texture {Polished_Brass}
       }
    cylinder {<0, -0.025, 0>, <0, 0.025, 0>, 0.005
     translate <0.229166, -0.172721, -0.05>
     texture {Polished_Brass}
       }
   }
  }
  object {    // Key_top (14)
    sphere {<0.229166, -0.14813, -0.05>, 0.035
    texture {Polished_Brass}
        }  
    clipped_by {
       plane { <0, 1, 0>, 0 inverse
       scale <0.04, 0.04, 0.04>
       translate <0.229166, -0.157254, -0.05>
        }
       plane { <0, 1, 0>, 0 
       scale <0.04, 0.04, 0.04>
       translate <0.229166, -0.139062, -0.05>
        }
      }
     }
    }
   }  //end of Key_pad 14

   union {// union for c.tube  Begin Key_pad15....
 object {
  union {
   object {
    union {
    cylinder {<0, -0.125, 0>, <0, 0.125, 0>, 0.03
     translate <0.319526, -0.309, -0.045>
     texture {Polished_Brass}
       }
    cylinder {<0, -0.025, 0>, <0, 0.025, 0>, 0.005
     translate <0.319526, -0.172721, -0.045>
     texture {Polished_Brass}
      }
   }
  }
  object {    // Key_top (15)
    sphere {<0.319526, -0.14813, -0.045>, 0.035
    texture {Polished_Brass}
     }  
    clipped_by {
       plane { <0, 1, 0>, 0 inverse
       scale <0.04, 0.04, 0.04>
       translate <0.319526, -0.157254, -0.045>
        }
       plane { <0, 1, 0>, 0 
       scale <0.04, 0.04, 0.04>
       translate <0.408711, -0.139062, -0.045>
        }  
      }
     }
    }
   }  // End Key_pad 15

    // connect tube
  object {   
    cylinder {<0, -0.05, 0>, <0, 0.05, 0>, 0.01
      rotate <-5.0, 0.0, 90.0>
      translate <0.367763, -0.366617, -0.0583>
        texture {Polished_Brass}
       }
  }

//   line126    Begin Key_pad 16....   
 object {
  union {
   object {
    union {
     cylinder {<0, -0.125, 0>, <0, 0.125, 0>, 0.03
       translate <0.408711, -0.309, -0.04>
       texture {Polished_Brass}
        }
     cylinder {<0, -0.025, 0>, <0, 0.025, 0>, 0.005
       translate <0.408711, -0.172721, -0.04>
       texture {Polished_Brass}
        }   
   }
  }

  object {    // Key_top (16)
    sphere {<0.408711, -0.14813, -0.04>, 0.035
     texture {Polished_Brass}
       }  
    clipped_by {
       plane { <0, 1, 0>, 0 inverse
       scale <0.04, 0.04, 0.04>
       translate <0.408711, -0.157254, -0.04>
        }
       plane { <0, 1, 0>, 0 
       scale <0.04, 0.04, 0.04>
       translate <0.408711, -0.139062, -0.04>
        }
      }
     }
    }
   }   // End Key_pad 16
    object {
     Drop
      texture {Polished_Brass}
       }                         
 }    // union for connect tube

    object {   
     Disks
      texture {Polished_Brass}
       }

 object {
   union {
    object {
     Floogle
      texture {Polished_Brass}
       }            
   object {
     cylinder {<0, -0.09, 0>, <0, 0.09, 0>, 0.02
       rotate <0.0, 0.0, 90.0>
       translate <0.31, 0.0, 0.0>
       texture {Polished_Brass}
        }
      } 
  }
 }

   object {
     Horn
      texture {jrc_Brass}
  clipped_by {
  plane { <1, 0, 0>, 0 inverse //object 13
    scale <0.03, 0.03, 0.03> 
    translate <0.220542, 0.001, -0.003067>
     }
    }
   } 
   }   
  }
 }  //end union
}  //end object

light_source {<0, -2, -2> color White }

  light_source {
    <0, -4, -2.5> color Magenta
    spotlight point_at <.6, -.25, 0>
      radius 50 falloff 75 tightness 30
 }

  light_source {
    <1, .1, -.1> color White 
    spotlight point_at <.82, .2, 0>
    radius 50 falloff 75 tightness 30
 }

  light_source {
    <-1, -.1, -.1> color White
    spotlight point_at <.4, 0, -0.04>
    radius 50 falloff 75 tightness 30
 }

  light_source {
    <0, 4, -2.5> color Blue
    spotlight point_at <0, 0, -.1>
    radius 70 falloff 100 tightness 30
 }



